com.versionone.apiclient

## Class AttributeSelection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<IAttributeDefinition>
      - - com.versionone.apiclient.AttributeSelection

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<IAttributeDefinition>, Collection<IAttributeDefinition>, List<IAttributeDefinition>, RandomAccess

      public class AttributeSelection
      extends ArrayList<IAttributeDefinition>

  Attributes being selected in a Query
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeSelection()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNames()` Get a comma separated string of the names of all the attributes being selected
    `String` | `getToken()` Get a comma separated string of the names of all the attributes being selected
    `static AttributeSelection` | `merge(List<IAttributeDefinition>... lists)`
    `static String` | `NameOf(Object def)` Implementation detail.
    `static String` | `TokenOf(Object def)` Implementation detail.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### AttributeSelection

          public AttributeSelection()

  - ### Method Detail

    - #### merge

          public static AttributeSelection merge(List<IAttributeDefinition>... lists)

    - #### getNames

          public String getNames()

      Get a comma separated string of the names of all the attributes being selected
      Returns:
        String

    - #### getToken

          public String getToken()

      Get a comma separated string of the names of all the attributes being selected
      Returns:
        String

    - #### TokenOf

          public static String TokenOf(Object def)

      Implementation detail. Returns the Token of the attribute definition
      Parameters:
        `def` - - Object
      Returns:
        String

    - #### NameOf

          public static String NameOf(Object def)

      Implementation detail. Returns the Name of the attribute definition
      Parameters:
        `def` - - Object
      Returns:
        String

Copyright © 2016 VersionOne, Inc.. All rights reserved.